Skip to main content
POST
/
document
/
secure
/
create
Create secure document records
curl --request POST \
  --url https://api-stage.karmacheck.io/document/secure/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "list": [
    {
      "originalFileName": "example_document.jpg",
      "documentTypeId": "candidate-disclosures-and-authorizations",
      "fileKey": "1daa3c43-ea4e-4d66-9330-0cbd197feee6"
    }
  ],
  "accessGrants": {
    "caseId": "22e88848-17d1-4946-bbac-18d44f381ca7"
  }
}
'
import requests

url = "https://api-stage.karmacheck.io/document/secure/create"

payload = {
"list": [
{
"originalFileName": "example_document.jpg",
"documentTypeId": "candidate-disclosures-and-authorizations",
"fileKey": "1daa3c43-ea4e-4d66-9330-0cbd197feee6"
}
],
"accessGrants": { "caseId": "22e88848-17d1-4946-bbac-18d44f381ca7" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
list: [
{
originalFileName: 'example_document.jpg',
documentTypeId: 'candidate-disclosures-and-authorizations',
fileKey: '1daa3c43-ea4e-4d66-9330-0cbd197feee6'
}
],
accessGrants: {caseId: '22e88848-17d1-4946-bbac-18d44f381ca7'}
})
};

fetch('https://api-stage.karmacheck.io/document/secure/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "list": [
    {
      "secureDocumentId": "f6723gd8-ee70-4db3-b238-6bb27abf66c0"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
list
object[]
required
accessGrants
object

Response

OK

list
object[]
required